> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Service Conf Details

> ### Overview
Fetches a single service configuration by id. `entityId` accepts either a doctor id or a clinic id. Unlike the list endpoint, this does not filter out archived records.



## OpenAPI

````yaml get /schedule/service-conf/{entityId}/{conf_id}
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /schedule/service-conf/{entityId}/{conf_id}:
    get:
      tags:
        - Appointment API
      summary: Get Service Conf Details
      description: >-
        ### Overview

        Fetches a single service configuration by id. `entityId` accepts either
        a doctor id or a clinic id. Unlike the list endpoint, this does not
        filter out archived records.
      operationId: GetServiceConfDetails
      parameters:
        - name: auth
          in: header
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: auth
        - name: entityId
          in: path
          description: Doctor id or clinic id the conf belongs to.
          required: true
          style: simple
          schema:
            type: string
        - name: conf_id
          in: path
          description: Id of the service configuration to fetch.
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      owner_id:
                        type: string
                      business_id:
                        type: string
                      conf_id:
                        type: string
                      service_id:
                        type: integer
                      duration:
                        type: integer
                      price:
                        type: number
                      eka_fee:
                        type: number
                      conv_fee:
                        type: number
                      currency:
                        type: string
                        example: INR
                      post_pay:
                        type: boolean
                      pre_pay:
                        type: boolean
                      archive:
                        type: boolean
                      service_name:
                        type: string
                      book_ahead_days:
                        type: integer
                      allow_patient_booking:
                        type: boolean
                      nickname:
                        type: string
                      followup_validity:
                        type: integer
                        nullable: true
                      appointment_type:
                        type: string
                      mode:
                        type: array
                        items:
                          type: string
                          enum:
                            - in-clinic
                            - tele
                      book_before_mins:
                        type: integer
                      discount:
                        type: number
                      c_at:
                        type: string
        '404':
          description: Not Found — no service-conf with this id for this entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
      deprecated: false

````